summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-04-12 09:37:27 +0200
committerHans de Graaff <graaff@gentoo.org>2019-04-12 15:58:26 +0200
commita98e2fd0c6759c888ee3ec535b07e2c75126e873 (patch)
treea216287e984d36e0a0159d7255af8eb9ec38e71f /www-apps/jekyll-coffeescript
parentwww-apps/jekyll-sass-converter: add 1.5.2 (diff)
downloadgentoo-a98e2fd0c6759c888ee3ec535b07e2c75126e873.tar.gz
gentoo-a98e2fd0c6759c888ee3ec535b07e2c75126e873.tar.bz2
gentoo-a98e2fd0c6759c888ee3ec535b07e2c75126e873.zip
www-apps/jekyll-coffeescript: add 1.2.2
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'www-apps/jekyll-coffeescript')
-rw-r--r--www-apps/jekyll-coffeescript/Manifest1
-rw-r--r--www-apps/jekyll-coffeescript/jekyll-coffeescript-1.2.2.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/www-apps/jekyll-coffeescript/Manifest b/www-apps/jekyll-coffeescript/Manifest
index 88d8a7d2eb0..0d04b73e057 100644
--- a/www-apps/jekyll-coffeescript/Manifest
+++ b/www-apps/jekyll-coffeescript/Manifest
@@ -1 +1,2 @@
DIST jekyll-coffeescript-1.1.1.tar.gz 5350 BLAKE2B cbcb98f831b937458938e541e3b4d79bbdc1bf12444c5fbccf9f295744ca34fda019956ca5b7d011c8b88582d043157f7abf584af447e061f973b39da82227aa SHA512 6b748fb521a33be6dcf944bba35db2f2924d8ee403ba035f4e0e1411d91f1a7eb527af42237994c4f9839a3e6babfbd8b5441ecd5ef5c42db7afbdf4bfc643d2
+DIST jekyll-coffeescript-1.2.2.tar.gz 5963 BLAKE2B d71d343786f855d480694aa9bac99497b21498ed730198d5fef3f309b96bf5924ecefbf0dee9a6e2ecc9272941c58206508dc47ce0b5bd88afab500bdf07b7e3 SHA512 4b531fd69553036bae22c6f9bae2552da13eb6957e122592ebfa9253b260718a6ec66c34dda8fea83d6d2a0e01eea16c65a4915d6c730dbc6ed53632d2eae198
diff --git a/www-apps/jekyll-coffeescript/jekyll-coffeescript-1.2.2.ebuild b/www-apps/jekyll-coffeescript/jekyll-coffeescript-1.2.2.ebuild
new file mode 100644
index 00000000000..df9a1ecfa15
--- /dev/null
+++ b/www-apps/jekyll-coffeescript/jekyll-coffeescript-1.2.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+RUBY_FAKEGEM_EXTRADOC="README.md History.markdown"
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit ruby-fakegem
+
+SRC_URI="https://github.com/jekyll/jekyll-coffeescript/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+DESCRIPTION="A CoffeeScript Converter for Jekyll"
+HOMEPAGE="https://github.com/jekyll/jekyll-coffeescript"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/d' Rakefile || die
+ sed -i -e "/^RSpec/i \
+ require 'jekyll'"\
+ -e "/^RSpec/i \
+ require 'jekyll-coffeescript'" spec/spec_helper.rb || die
+}
+
+ruby_add_rdepend ">=dev-ruby/coffee-script-2.2
+ >=dev-ruby/coffee-script-source-1.12"
+ruby_add_bdepend "test? ( www-apps/jekyll )"